Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.selector.domainmodelreference.model
Interface VTDomainmodelreferencePackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VTDomainmodelreferencePackageImpl

    public interface VTDomainmodelreferencePackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  `VTDomainmodelreferenceFactory`

Nested Class Summary
`static interface` | `VTDomainmodelreferencePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `DOMAIN_MODEL_REFERENCE_SELECTOR` The meta object id for the ' `Domain Model Reference Selector`' class.
`static int` | `DOMAIN_MODEL_REFERENCE_SELECTOR__DOMAIN_MODEL_REFERENCE` The feature id for the 'Domain Model Reference' containment reference.
`static int` | `DOMAIN_MODEL_REFERENCE_SELECTOR_FEATURE_COUNT` The number of structural features of the 'Domain Model Reference Selector' class.
`static int` | `DOMAIN_MODEL_REFERENCE_SELECTOR_OPERATION_COUNT` The number of operations of the 'Domain Model Reference Selector' class.
`static VTDomainmodelreferencePackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.

Method Summary
`VTDomainmodelreferenceFactory` | `getDomainmodelreferenceFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getDomainModelReferenceSelector_DomainModelReference()` Returns the meta object for the containment reference ' `Domain Model Reference`'.
`org.eclipse.emf.ecore.EClass` | `getDomainModelReferenceSelector()` Returns the meta object for class ' `Domain Model Reference Selector`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VTDomainmodelreferencePackage eINSTANCE

  The singleton instance of the package.

### DOMAIN_MODEL_REFERENCE_SELECTOR

    static final int DOMAIN_MODEL_REFERENCE_SELECTOR

  The meta object id for the ' `Domain Model Reference Selector`' class.

  See Also:
    `VTDomainModelReferenceSelectorImpl`, `VTDomainmodelreferencePackageImpl.getDomainModelReferenceSelector()`, Constant Field Values

### DOMAIN_MODEL_REFERENCE_SELECTOR__DOMAIN_MODEL_REFERENCE

    static final int DOMAIN_MODEL_REFERENCE_SELECTOR__DOMAIN_MODEL_REFERENCE

  The feature id for the 'Domain Model Reference' containment reference.

  See Also:
    Constant Field Values

### DOMAIN_MODEL_REFERENCE_SELECTOR_FEATURE_COUNT

    static final int DOMAIN_MODEL_REFERENCE_SELECTOR_FEATURE_COUNT

  The number of structural features of the 'Domain Model Reference Selector' class.

  See Also:
    Constant Field Values

### DOMAIN_MODEL_REFERENCE_SELECTOR_OPERATION_COUNT

    static final int DOMAIN_MODEL_REFERENCE_SELECTOR_OPERATION_COUNT

  The number of operations of the 'Domain Model Reference Selector' class.

  See Also:
    Constant Field Values

Method Detail

### getDomainModelReferenceSelector

    org.eclipse.emf.ecore.EClass getDomainModelReferenceSelector()

  Returns the meta object for class ' `Domain Model Reference Selector`'.

  Returns:
    the meta object for class 'Domain Model Reference Selector'.
  See Also:
    `VTDomainModelReferenceSelector`

### getDomainModelReferenceSelector_DomainModelReference

    org.eclipse.emf.ecore.EReference getDomainModelReferenceSelector_DomainModelReference()

  Returns the meta object for the containment reference ' `Domain Model Reference`'.

  Returns:
    the meta object for the containment reference 'Domain Model Reference'.
  See Also:
    `VTDomainModelReferenceSelector.getDomainModelReference()`, `getDomainModelReferenceSelector()`

### getDomainmodelreferenceFactory

    VTDomainmodelreferenceFactory getDomainmodelreferenceFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.